require "rails_helper"

RSpec.describe WordmarkHelper, type: :helper do
  describe "#suite_wordmark" do
    it "generates the proper markup" do
      html = helper.suite_wordmark

      expect(html).to match "Me"
      expect(html).to match "Suite"
      expect(html).to match "suite-wordmark"
    end
  end

  describe "#product_workmark" do
    it "generates the proper markup" do
      html = helper.product_wordmark(:release_me)

      expect(html).to match "Release"
      expect(html).to match "Me"
      expect(html).to match "product-wordmark release-me"
    end

    it "adds extra css classes" do
      html = helper.product_wordmark(:release_me, class: "extra-css")

      expect(html).to match "product-wordmark release-me extra-css"
    end
  end
end
